<xml> </xml>

SOLIDWORKS PDM Professional API Help | Send Feedback
RefreshFolder Method (IEdmVault5)
See Also Example

Collapse All Expand All Language Filter: All Language Filter: Multiple Language Filter: Visual Basic Language Filter: C# Language Filter: C++/CLI

EPDM.Interop.epdm Namespace > IEdmVault5 Interface : RefreshFolder Method (IEdmVault5)

Visual Basic
C#
C++/CLI

bsFolderPath
  File system path to the folder to refresh

Refreshes the file listing in the specified folder.

# Syntax

Visual Basic |
--- | ---

    Sub RefreshFolder( _
       ByVal bsFolderPath As System.String _
    )

C# |
--- | ---

    void RefreshFolder(
       System.string bsFolderPath
    )

C++/CLI |
--- | ---

    void RefreshFolder(
    &   System.String^ bsFolderPath
    )

#### Parameters

bsFolderPath
  File system path to the folder to refresh

# Example

Execute Template (C#)
Execute Template (VB.NET)

# Remarks

If you use API methods to add, check out, or change the state of a file, the API does not automatically refresh its folder in File Explorer. That would be inefficient when processing a large number of files. If you check in a file using the API and browse to its folder using File Explorer, it appears to the user that the file is still checked out. This folder can be refreshed by one of the following techniques:

- Calling this method
- Pressing F5
- Navigating to a different folder and back again

There is no way to force a refresh on other machines.

Return codes:

- S_OK: The method successfully executed.

# See Also

####

IEdmVault5 Interface
IEdmVault5 Members

# Availability

SOLIDWORKS PDM Professional Version 5.2